Auth service
OAuth
3 endpoints.
GET
/api/v1/oauth/requests/{request_id}Get Authorization Request
Parameters
| Name | In | Type | Description |
|---|---|---|---|
request_idrequired | path | string (uuid) |
Responses
200Successful Responseapplication/jsonConsentRequestInfo| Field | Type | Description | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
idrequired | string (uuid) | ||||||||||
client_namerequired | string | ||||||||||
client_hostrequired | string | ||||||||||
scopesrequired | ScopeInfo[] | ScopeInfo[] fields
| |||||||||
resourcerequired | string | ||||||||||
expires_atrequired | string (date-time) | ||||||||||
statusrequired | string | ||||||||||
eligiblerequired | boolean | ||||||||||
ineligible_reason | string | null | ||||||||||
consented_before | boolean | default false |
422Validation Error
Error bodies: HTTPValidationError. See Errors.
POST
/api/v1/oauth/requests/{request_id}/approveApprove Authorization Request
Parameters
| Name | In | Type | Description |
|---|---|---|---|
request_idrequired | path | string (uuid) |
Responses
200Successful Responseapplication/jsonConsentDecision| Field | Type | Description |
|---|---|---|
redirect_torequired | string |
422Validation Error
Error bodies: HTTPValidationError. See Errors.
POST
/api/v1/oauth/requests/{request_id}/denyDeny Authorization Request
Parameters
| Name | In | Type | Description |
|---|---|---|---|
request_idrequired | path | string (uuid) |
Responses
200Successful Responseapplication/jsonConsentDecisionConsentDecision, expanded above.
422Validation Error
Error bodies: HTTPValidationError. See Errors.